Bug 95180 - [Gtk] Incorrect/unexpected characters in the text of certain accessibles
Summary: [Gtk] Incorrect/unexpected characters in the text of certain accessibles
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 25531
  Show dependency treegraph
 
Reported: 2012-08-28 01:57 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2012-09-01 02:09 PDT (History)
4 users (show)

See Also:


Attachments
test case (375 bytes, text/plain)
2012-08-28 01:57 PDT, Joanmarie Diggs (irc: joanie)
no flags Details
test script (795 bytes, text/plain)
2012-08-28 01:58 PDT, Joanmarie Diggs (irc: joanie)
no flags Details
Proposed patch, includes updated unit test and 2 new layout tests (17.86 KB, patch)
2012-08-30 18:51 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2012-08-28 01:57:46 PDT
Created attachment 160929 [details]
test case

Steps to reproduce:

1. Load the test case in gtk launcher
2. Launch the test script in a terminal window
3. Give focus back to gtk launcher

Expected results: No bogus characters
Actual results: Bogus characters

panel text: - 
panel text: - iframe
panel text: - text area
panel text: - And in a div:
panel text: - button
panel text: - What about a heading?
panel text: - button
panel text: - 

So far I can only reproduce it with ATK_ROLE_PANEL (GroupRole) objects. Embedded/replaced object characters elsewhere are fine.
Comment 1 Joanmarie Diggs (irc: joanie) 2012-08-28 01:58:47 PDT
Created attachment 160930 [details]
test script
Comment 2 Alejandro Piñeiro 2012-08-28 02:23:10 PDT
(In reply to comment #1)
> Created an attachment (id=160930) [details]
> test script

FWIW, I have just tested this script, and I get the same outcome that Joanmarie at comment 0.
Comment 3 Joanmarie Diggs (irc: joanie) 2012-08-30 18:51:54 PDT
Created attachment 161602 [details]
Proposed patch, includes updated unit test and 2 new layout tests
Comment 4 Joanmarie Diggs (irc: joanie) 2012-08-30 18:54:43 PDT
Chris this one is a one-line fix. The rest is test related. If you have a chance to review it should be easy and it will be appreciated. :)

Thanks!
Comment 5 chris fleizach 2012-08-30 19:11:40 PDT
Comment on attachment 161602 [details]
Proposed patch, includes updated unit test and 2 new layout tests

Looks ok. I am assuming that I can't see the embedded objects directly in the HTML source? is that correct?
Comment 6 Joanmarie Diggs (irc: joanie) 2012-08-30 19:40:24 PDT
Comment on attachment 161602 [details]
Proposed patch, includes updated unit test and 2 new layout tests

(In reply to comment #5)
> (From update of attachment 161602 [details])
> Looks ok.

Thanks! :)

> I am assuming that I can't see the embedded objects directly in the HTML source? is that correct?

Exactly. They represent things like images and controls and other non-textual objects.
Comment 7 WebKit Review Bot 2012-09-01 01:27:09 PDT
Comment on attachment 161602 [details]
Proposed patch, includes updated unit test and 2 new layout tests

Rejecting attachment 161602 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/13713533
Comment 8 Zan Dobersek 2012-09-01 01:43:49 PDT
(In reply to comment #7)
> (From update of attachment 161602 [details])
> Rejecting attachment 161602 [details] from commit-queue.
> 
> Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1
> 
> ERROR: /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).
> 
> Full output: http://queues.webkit.org/results/13713533

Source/WebCore/ChangeLog was missing the 'Reviewed by' line.
Fixed and commited in r127367:
http://trac.webkit.org/changeset/127367